#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1,2)
#-----------------------------------------------------------------------------
Name		:	grilo
Version		:	0.3.16
Release		:	17.0.10.rel%{?dist}
Summary		:	A framework for searching media content from various sources using a single API.
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://ftp.gnome.org/pub/gnome/sources/grilo

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libsoup
BuildRequires	:	totem-pl-parser
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
Grilo is a framework focused on making media discovery and browsing
easy for applications and application developers. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README.md
%{_bindir}/%{name}-test-ui-%{majorver}
%{_bindir}/grl-*-%{majorver}
%{_includedir}/%{name}-%{majorver}/*.h
%{_includedir}/%{name}-%{majorver}/net/*.h
%{_includedir}/%{name}-%{majorver}/pls/*.h
%{_libdir}/lib*-%{majorver}.so*
%{_libdir}/pkgconfig/%{name}*-%{majorver}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/vala/vapi/%{name}*-%{majorver}.{deps,vapi}
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog

